OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > > Struct Template Reference

`#include <OMSerializableVector.h>`

## Public Types
typedef OMToolkit::Types::OMSerializableVector < T > | value_type

## Static Public Member Functions
static size_t | size_of (void)
static size_t | size_of (const value_type &_v)
static size_t | store (std::ostream &_os, const value_type &_v, bool _swap=false)
static size_t | restore (std::istream &_is, value_type &_v, bool _swap=false)

## Static Public Attributes
static const bool | is_streamable = true

## Detailed Description

### template<class T>
struct OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >

Binary serializer for OMSerializableVector

## Member Typedef Documentation

template<class T >

typedef OMToolkit::Types::OMSerializableVector<T> OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >::value_type

Definition of value type

## Member Function Documentation

template<class T >

static size_t OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >::restore | ( | std::istream & | _is,
|  | value_type & | _v,
|  | bool | _swap = `false`
| ) |  |
| inline static

Restore from intput stream Restores size of vector, reallocates _v and restores values

template<class T >

static size_t OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >::size_of | ( | void |  | ) |
| inline static

Static sizeof method - we have unknown size

template<class T >

static size_t OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >::size_of | ( | const value_type & | _v | ) |
| inline static

Dynamic sizeof method - computes size of serialized structure

template<class T >

static size_t OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >::store | ( | std::ostream & | _os,
|  | const value_type & | _v,
|  | bool | _swap = `false`
| ) |  |
| inline static

Store into output stream Stores int as size of vector and then sequence of values

## Member Data Documentation

template<class T >

const bool OpenMesh::IO::binary< OMToolkit::Types::OMSerializableVector< T > >::is_streamable = true
| static

Must be defined for writer/reader

The documentation for this struct was generated from the following file:

- trunk/include/OMToolkit/OMSerializableVector.h